co.aikar.commands.processors

## Class ConditionsProcessor

- java.lang.Object
- - co.aikar.commands.processors.ConditionsProcessor

All Implemented Interfaces:
  AnnotationProcessor<Conditions>

Deprecated.

    @Deprecated
    public class ConditionsProcessor
    extends Object
    implements AnnotationProcessor<Conditions>

### Constructor Summary

Constructors
Constructor and Description
`ConditionsProcessor()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `onPostContextResolution(CommandExecutionContext context, Object resolvedValue)` Deprecated.
`void` `onPreComand(CommandOperationContext context)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.AnnotationProcessor

`getApplicableParameters, onBaseCommandRegister, onCommandRegistered, onParameterRegistered, onPostComand, onPreContextResolution`

### Constructor Detail

#### ConditionsProcessor

    public ConditionsProcessor()

Deprecated.

### Method Detail

#### onPreComand

    public void onPreComand(CommandOperationContext context)

Deprecated.

Specified by:
  `onPreComand` in interface `AnnotationProcessor<Conditions>`

#### onPostContextResolution

    public void onPostContextResolution(CommandExecutionContext context,
                                        Object resolvedValue)

Deprecated.

Specified by:
  `onPostContextResolution` in interface `AnnotationProcessor<Conditions>`